org.eclipse.ui.operations

## Interface IWorkbenchOperationSupport

    public interface IWorkbenchOperationSupport

An instance of this interface provides support for managing a a shared operations history and an shared undo context at the `IWorkbench` level.

This interface is not intended to be extended or implemented by clients.

Since:
  3.1
See Also:
  `IWorkbench.getOperationSupport()`
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`IOperationHistory` `getOperationHistory()` Returns the operation history for the workbench.
`IUndoContext` `getUndoContext()` Returns the undo context for workbench-wide operations.

### Method Detail

#### getUndoContext

    IUndoContext getUndoContext()

Returns the undo context for workbench-wide operations.

Returns:
  the workbench operation context

#### getOperationHistory

    IOperationHistory getOperationHistory()

Returns the operation history for the workbench.

Returns:
  the workbench operation history